Mail archive
alpine-aports

[alpine-aports] [PATCH 4/4] main/perl-compress-raw-bzip2: remove man pages

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 29 Jan 2016 23:39:04 +0100

They seem to be already provided by perl-doc. Installing perl-doc and
perl-compress-raw-bzip2-doc should thus result in a conflict.
---
 main/perl-compress-raw-bzip2/APKBUILD | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/main/perl-compress-raw-bzip2/APKBUILD b/main/perl-compress-raw-bzip2/APKBUILD
index cd5a0c1..5111088 100644
--- a/main/perl-compress-raw-bzip2/APKBUILD
+++ b/main/perl-compress-raw-bzip2/APKBUILD
_at_@ -3,7 +3,7 @@
 pkgname=perl-compress-raw-bzip2
 _realname=Compress-Raw-Bzip2
 pkgver=2.035
-pkgrel=6
+pkgrel=7
 pkgdesc="Perl low-level interface to bzip2 compression library"
 url="http://search.cpan.org/~pmqs/Compress-Raw-Bzip2-2.024/"
 arch="all"
_at_@ -28,6 +28,9 @@ package() {
 	make DESTDIR="$pkgdir" install
 	# creates file collision among perl modules
 	find "$pkgdir" -name perllocal.pod -delete
+
+	# remove man pages already provided by perl-doc
+	rm -rf /usr/share/man || return 1
 }
 
 md5sums="573c84ca4c7f8b3dd42bdea7a7bc5c6a  Compress-Raw-Bzip2-2.035.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jan 29 2016 - 23:39:04 GMT